# Earthing

A python library for design of earthing networks in electrical substations. 



## Features

* Earth grid design as per IEEE 80/ ENA_ER_S34
* Numerical earth network calculations using using boundary descretisation method.
* Evaluation of earth resistance of various earth electrode geometries.
* 3D plotting of electrode geometry used for design.
* 3D plotting of current density distribution for the earth network.
* 2D/3D plotting of surface potential distribution.
* Ploting and evaluation of mesh and step potentials.

![Problem geometry](https://github.com/manuvarkey/Earthing/raw/main/images/Figure_1.png)
![Problem geometry solved](https://github.com/manuvarkey/Earthing/raw/main/images/Figure_2.png)
![Surface potential distribuion](https://github.com/manuvarkey/Earthing/raw/main/images/Figure_3.png)
![Mesh voltage profile](https://github.com/manuvarkey/Earthing/raw/main/images/Figure_4.png)
![Step voltage profile](https://github.com/manuvarkey/Earthing/raw/main/images/Figure_5.png)


## Usage

Package is available on PyPI for installation ([https://pypi.org/project/earthing](https://pypi.org/project/earthing/)). Use `pip install earthing` to install.

Program source includes detailed usage instructions for various functions and classes. Alternately project page has ipython notebooks covering typical use cases. 


## Dependencies:

* Python 3
* Numpy
* Matplotlib

